Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class RuntimeNode

    java.lang.Object
      |
      +--oracle.apps.cz.cio.RuntimeNode

All Implemented Interfaces:
  IRuntimeNode

Direct Known Subclasses:
  ComponentSet, Connector, PricedNode, TextNode

public abstract class RuntimeNode
extends java.lang.Object
implements IRuntimeNode

Abstract class implementing common behavior across all runtime nodes.

Field Summary
`static byte` | `ACCUMULATOR_SUFFIX_TYPE`
`static java.lang.String` | `ATTR_KEY`
`static byte` | `CONNECTOR_PREFIX_TYPE`
`static byte` | `DEFAULT_IV_SUFFIX_TYPE`
`static int` | `DEFAULT_SUFFIX_ID`
`static byte` | `DEFAULT_SUFFIX_TYPE`
`static byte` | `LOAD_CONDITIONS_GROUP_PREFIX_TYPE`
`static byte` | `NET_PREFIX_TYPE`
`static byte` | `NODE_PREFIX_TYPE`
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`
`static byte` | `TRACKABLE_ROOT_PREFIX_TYPE`

Fields inherited from interface oracle.apps.cz.cio.IRuntimeNode
`ALL_FEATURES, BOM_MODEL, BOM_OPTION_CLASS, BOM_STD_ITEM, BOOLEAN_FEATURE, COMPONENT, COMPONENT_SET, CONNECTOR, COUNT_FEATURE, CURRENT_CHILD, CURRENT_OR_DISCONTINUED_CHILD, DECIMAL_FEATURE, DISCONTINUED_CHILD, EDITABLE, EXTENDED_PASSIVE, IMMEDIATE_PASSIVE, INTEGER_FEATURE, OPTION, OPTION_FEATURE, RESOURCE, SPOOFED, TEXT_FEATURE, TOTAL`

Method Summary
`void` | `associateAttribute(oracle.apps.cz.cio.Attribute attr)` Attributes will be placed on a RuntimeNode by the onNew/onRestore companion by creating an instance of Attribute and calling associateAttribute passing the object it created.
`java.lang.Object` | `evaluateUiExpression(int exprID, byte exprType, int uiDefID, boolean isIdPersistent)`
`oracle.apps.cz.cio.Attribute` | `getAttributeByName(java.lang.String name)` Returns the specified attribute associated with this runtimeNode.
`com.sun.java.util.collections.Collection` | `getAttributes()` Returns all the attributes associated with this runtimeNode.
`com.sun.java.util.collections.Set` | `getAvailableEventCommands()` Returns the Set of commands that can be used in a CXCommandEvent to trigger a Configurator Extension bound globally, locally to this node, or to any ancestor of this node which is listening for events in its subtree.
`java.lang.String` | `getBaselineValue()` Returns the value of this node that exists in the Installed Base
`java.lang.String` | `getCaption()` Returns the Caption of this runtime node to be displayed in messages The caption is the description of the node, if one exists.
`oracle.apps.cz.cio.IRuntimeNode` | `getChildByID(int id)` Returns the child of this node with a given ID.
`oracle.apps.cz.cio.IRuntimeNode` | `getChildByID(int id, int type)` Returns the child of this node with a given ID.
`oracle.apps.cz.cio.IRuntimeNode` | `getChildByName(java.lang.String name)` Returns the child of this node with a given name.
`oracle.apps.cz.cio.IRuntimeNode` | `getChildByName(java.lang.String name, int type)` Returns the child of this node with a given name.
`oracle.apps.cz.cio.IRuntimeNode` | `getChildByPersistentID(int id)` Returns the child of this node with a given persistent ID.
`oracle.apps.cz.cio.IRuntimeNode` | `getChildByPersistentID(int id, int type)` Returns the child of this node with a given persistent ID.
`com.sun.java.util.collections.List` | `getChildren()` Returns a list of all children of this runtime node.
`com.sun.java.util.collections.List` | `getChildrenByType(int type)` Returns a list of all children of a particular type.
`long` | `getConfigItemID()` Returns the item id assoaciated with this runtime node if there is one; else -1
`oracle.apps.cz.cio.Configuration` | `getConfiguration()` Returns the configuration to which this node belongs.
`java.lang.String` | `getCurrentValue()` Gets the current value of this node
`com.sun.java.util.collections.Collection` | `getCXRules()` Returns a collection of CXRule objects representing all the Configurator extensions which were instantiate with this node
`int` | `getDatabaseID()` Returns the database ID of the runtime node.
`java.lang.String` | `getDeltaValue()` Gets the difference between the current value and the installed value of this node
`java.lang.String` | `getDescription()` Returns the design-time description of the runtime node.
`com.sun.java.util.collections.List` | `getDiscontinuedChildren()` Gets the set of discontinued children of this runtime configuration node.
`java.lang.String` | `getDisplayName()` Returns the display name for this node.
`java.lang.String` | `getDisplayNamePath()` Returns the displayName path to the root of this node.
`oracle.apps.cz.cio.IFunctionalCompanion` | `getFuncCompByID(int id)` Deprecated. use getAvailableEventCommands
`oracle.apps.cz.cio.IFunctionalCompanion` | `getFuncCompByName(java.lang.String name)` Deprecated. use getAvailableEventCommands
`com.sun.java.util.collections.List` | `getFunctionalCompanions()` Deprecated. use getAvailableEventCommands
`java.lang.String` | `getInstalledValue()` Gets the installed value of this node
`java.lang.Integer` | `getLineType()` Returns the Line Type for this node if it has been set in this session Returns null if not set
`java.lang.String` | `getLineTypeName()` Returns the Line Type name for this node Returns null if not found
`int` | `getLoadStatus()` This method returns the current load status of this instance
`java.lang.Integer` | `getLocationID()` Returns the location that this node belongs to if it has been set in this session Returns null if not found
`java.lang.String` | `getLocationTypeCode()` Retuns the location type code of this runtime node if it has been set in this session.
`java.lang.String` | `getName()` Returns the name of the runtime node.
`oracle.apps.cz.cio.IRuntimeNode` | `getParent()` Returns the parent of this runtime node, or `null` if this is the root node.
`int` | `getPersistentID()` Returns the peristent ID of the runtime node.
`com.sun.java.util.collections.Collection` | `getProperties()` Returns a collection of the properties associated with this node.
`oracle.apps.cz.cio.Property` | `getPropertyById(int id)` Returns a particular property of this node, based on its ID.
`oracle.apps.cz.cio.Property` | `getPropertyByName(java.lang.String name)` Returns a particular property of this node, based on its name.
`oracle.apps.cz.cio.Component` | `getRootInstance()` Returns the Root trackable instance for this node if in a container model and one exists; otherwise, returns the root component
`int` | `getRuntimeID()` Returns the runtime ID for the node.
`int` | `getSelectionLineID()` Returns selection line ID (configuration output database ID) for node.
`com.sun.java.util.collections.Collection` | `getSummaryChildren()` Gets the set of children, discontinued or otherwise, of this runtime configuration node.
`java.lang.String` | `getSummaryValue()`
`abstract int` | `getType()` Returns the type of the runtime node.
`boolean` | `hasAttribute(java.lang.String attrName)`
`boolean` | `hasChildren()` Verifies if this runtime configuration node has children.
`boolean` | `hasChildren(int type)`
`boolean` | `hasConfigItemID()` Returns true if this node has an item id, i.e., it has been saved previously with this configuration
`boolean` | `hasCount()` Returns true if the node has an object count.
`boolean` | `hasDecimalValue()` Returns true if the node has a decimal value.
`boolean` | `hasDescription()` Returns true if there is a design-time description of the runtime node.
`int` | `hashCode()`
`boolean` | `hasIntegerValue()` Returns true if the node has a integer value.
`boolean` | `hasSelectionLineID()` Returns true if node has a selection line ID (configuration output ID), false if not.
`boolean` | `hasState()` Returns true if the node has a logical state.
`boolean` | `hasTextValue()` Returns true if the node has a text value (ie this node is a TextFeature).
`boolean` | `hasTrackableAncestor()`
`boolean` | `isAddChanged()` Returns true if this node has been added in this session, i.e., it is not present in the latest installed revision in Installed Base
`boolean` | `isAttributeChanged()` Returns true if any of this node's attribute has changed from that of the latest installed revision in Installed Base
`boolean` | `isChanged()` Returns true if this node, and/or any of its decendents, have changed from the latest installed revision in Installed Base
`boolean` | `isChildChanged()` Returns true if any child of this node has changed from that of the latest installed revision in Installed Base
`boolean` | `isDefaultAffected()` Returns true if the given state is affected by a default assertion (not unknown, or user, or logic).
`boolean` | `isDeleteChanged()` Returns true if this node has been deleted in this session and was present in the latest installed revision in Installed Base
`boolean` | `isDeleted()`
`boolean` | `isDiscontinued()` Returns true if this node is discontinued.
`boolean` | `isEditable()` Return true is the node's load status is editable
`boolean` | `isEffective()` Returns `true` if this particular node is effective given the effectivity criteria of the model.
`boolean` | `isIBNodeChanged()` Returns true if this node (the decendents are not considered) has changed from the latest installed revision in Installed Base
`boolean` | `isIBNodeOrDescendantChanged()` Returns true if this node, and/or any of its decendents, have changed from the latest installed revision in Installed Base
`boolean` | `isIBTrackable()`
`boolean` | `isLoaded()`
`boolean` | `isLocationChanged()` Returns true if this node's location has changed from that of the latest installed revision in Installed Base
`boolean` | `isNameChanged()` Returns true if this instance's name has changed from that of the latest installed revision in Installed Base
`boolean` | `isNative()` Returns true if this is a native BOM node
`boolean` | `isNodeChanged()` Returns true if this node (the decendents are not considered) has changed from the latest installed revision in Installed Base
`boolean` | `isQuoteable()` Returns true if this node is Quoteable
`boolean` | `isRoot()` Returns true if this is the root node of the runtime tree.
`boolean` | `isRootInstance()` Returns true if a some call to getRootInstance in this configuration could return this node
`boolean` | `isSatisfied()` Returns `true` if this particular node, or any one of its children, has been completely configured.
`boolean` | `isTargetChanged()` Returns true if this connector's target has changed from that of the latest installed revision in Installed Base
`boolean` | `isTrackableRoot()`
`boolean` | `isUiVisible()` Returns true if this node appears as a selection in Ui.
`boolean` | `isUnsatisfied()` Returns true if this runtime node, or any of its children, is not fully configured.
`boolean` | `isUnsatisfiedNode()` Returns true if this particular node is not fully configured.
`boolean` | `isValid()` Returns true if this runtime node is valid
`boolean` | `isValueChanged()` Returns true if this node's value has changed from that of the latest installed installed revision in Installed Base
`oracle.apps.cz.cio.IRuntimeNode` | `lookupNodeID(int id)` Returns the Runtime Node in this component given the persistent id
`oracle.apps.cz.cio.IRuntimeNode` | `lookupNodeID(java.lang.Object key)` Returns the Runtime Node in this component given the key
`void` | `registerLoadCondition(oracle.apps.cz.cio.LoadCondition condition)` Called by a a child of this node originating at a Connector or 0/1 Component somewhere down the tree that wants to let the world know it exists Components should override this method
`void` | `setLineType(java.lang.Integer lineType)` Sets the Line Type for this runtime node
`void` | `setLocationID(java.lang.Integer locationID)` Sets the location of this runtime node
`void` | `setLocationTypeCode(java.lang.String locationTypeCode)` Sets the location type code of this runtime node
`void` | `synchronizeIBValues(java.lang.Integer locationId, java.lang.String locationTypeCode, java.lang.String name)`
`static java.lang.String` | `typeToString(int type)` Returns a string representation of a given runtime node type constant.

Methods inherited from class java.lang.Object
`equals, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.apps.cz.cio.IRuntimeNode
`isDescendantOf`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

### NET_PREFIX_TYPE

    public static final byte NET_PREFIX_TYPE

### NODE_PREFIX_TYPE

    public static final byte NODE_PREFIX_TYPE

### CONNECTOR_PREFIX_TYPE

    public static final byte CONNECTOR_PREFIX_TYPE

### LOAD_CONDITIONS_GROUP_PREFIX_TYPE

    public static final byte LOAD_CONDITIONS_GROUP_PREFIX_TYPE

### TRACKABLE_ROOT_PREFIX_TYPE

    public static final byte TRACKABLE_ROOT_PREFIX_TYPE

### ACCUMULATOR_SUFFIX_TYPE

    public static final byte ACCUMULATOR_SUFFIX_TYPE

### DEFAULT_IV_SUFFIX_TYPE

    public static final byte DEFAULT_IV_SUFFIX_TYPE

### DEFAULT_SUFFIX_TYPE

    public static final byte DEFAULT_SUFFIX_TYPE

### DEFAULT_SUFFIX_ID

    public static final int DEFAULT_SUFFIX_ID

### ATTR_KEY

    public static final java.lang.String ATTR_KEY

Method Detail

### lookupNodeID

    public oracle.apps.cz.cio.IRuntimeNode lookupNodeID(java.lang.Object key)

  Returns the Runtime Node in this component given the key

### lookupNodeID

    public oracle.apps.cz.cio.IRuntimeNode lookupNodeID(int id)

  Returns the Runtime Node in this component given the persistent id

### isDeleted

    public boolean isDeleted()

  Specified by:
    `isDeleted` in interface `IRuntimeNode`

### getType

    public abstract int getType()

  Returns the type of the runtime node. Must be implemented.
  Specified by:
    `getType` in interface `IRuntimeNode`
  Returns:
    the type of this node.

### getName

    public java.lang.String getName()

  Returns the name of the runtime node.
  Specified by:
    `getName` in interface `IRuntimeNode`
  Returns:
    the name of the node.

### getCaption

    public java.lang.String getCaption()

  Returns the Caption of this runtime node to be displayed in messages The caption is the description of the node, if one exists. Otherwise, it is the name of the node.
  Specified by:
    `getCaption` in interface `IRuntimeNode`

### hasDescription

    public boolean hasDescription()

  Returns true if there is a design-time description of the runtime node.
  Specified by:
    `hasDescription` in interface `IRuntimeNode`

### getDescription

    public java.lang.String getDescription()

  Returns the design-time description of the runtime node.
  Specified by:
    `getDescription` in interface `IRuntimeNode`

### getDatabaseID

    public int getDatabaseID()

  Returns the database ID of the runtime node.
  Specified by:
    `getDatabaseID` in interface `IRuntimeNode`
  Returns:
    the database ID of the node.

### getPersistentID

    public int getPersistentID()

  Returns the peristent ID of the runtime node.
  Specified by:
    `getPersistentID` in interface `IRuntimeNode`
  Returns:
    the database ID of the node.

### getRuntimeID

    public int getRuntimeID()

  Returns the runtime ID for the node. This ID is unique across all nodes in a particular configuration.
  Specified by:
    `getRuntimeID` in interface `IRuntimeNode`
  Returns:
    runtime ID of the node.

### hasSelectionLineID

    public boolean hasSelectionLineID()

  Description copied from interface: `IRuntimeNode`
  Returns true if node has a selection line ID (configuration output ID), false if not.
  Specified by:
    `hasSelectionLineID` in interface `IRuntimeNode`

### getSelectionLineID

    public int getSelectionLineID()

  Description copied from interface: `IRuntimeNode`
  Returns selection line ID (configuration output database ID) for node. The hasSelectionLineID() method should always be called before this method. A RuntimeException will be thrown if ID doesn't exist.
  Specified by:
    `getSelectionLineID` in interface `IRuntimeNode`
  Returns:
    line ID

### getConfiguration

    public oracle.apps.cz.cio.Configuration getConfiguration()

  Returns the configuration to which this node belongs.
  Specified by:
    `getConfiguration` in interface `IRuntimeNode`
  Returns:
    the configuration to which this node belongs.
  See Also:
    `Configuration`

### getParent

    public oracle.apps.cz.cio.IRuntimeNode getParent()

  Returns the parent of this runtime node, or `null` if this is the root node.
  Specified by:
    `getParent` in interface `IRuntimeNode`
  Returns:
    the node's parent.

### getChildren

    public com.sun.java.util.collections.List getChildren()

  Returns a list of all children of this runtime node.
  Specified by:
    `getChildren` in interface `IRuntimeNode`
  Returns:
    a list of children. Empty list if no children.

### hasChildren

    public boolean hasChildren()

  Description copied from interface: `IRuntimeNode`
  Verifies if this runtime configuration node has children.
  Specified by:
    `hasChildren` in interface `IRuntimeNode`
  Returns:
    true if the node has children.

### hasChildren

    public boolean hasChildren(int type)

### getChildrenByType

    public com.sun.java.util.collections.List getChildrenByType(int type)

  Returns a list of all children of a particular type.
  Specified by:
    `getChildrenByType` in interface `IRuntimeNode`
  Returns:
    a collection of children.

### isNative

    public boolean isNative()

  Returns true if this is a native BOM node
  Specified by:
    `isNative` in interface `IRuntimeNode`

### isRoot

    public boolean isRoot()

  Returns true if this is the root node of the runtime tree.
  Specified by:
    `isRoot` in interface `IRuntimeNode`

### hasState

    public boolean hasState()

  Returns true if the node has a logical state.
  Specified by:
    `hasState` in interface `IRuntimeNode`

### hasCount

    public boolean hasCount()

  Returns true if the node has an object count.
  Specified by:
    `hasCount` in interface `IRuntimeNode`

### hasIntegerValue

    public boolean hasIntegerValue()

  Returns true if the node has a integer value.
  Specified by:
    `hasIntegerValue` in interface `IRuntimeNode`

### hasDecimalValue

    public boolean hasDecimalValue()

  Returns true if the node has a decimal value.
  Specified by:
    `hasDecimalValue` in interface `IRuntimeNode`

### hasTextValue

    public boolean hasTextValue()

  Returns true if the node has a text value (ie this node is a TextFeature).
  Specified by:
    `hasTextValue` in interface `IRuntimeNode`

### getProperties

    public com.sun.java.util.collections.Collection getProperties()

  Returns a collection of the properties associated with this node. The collection contains items of the type IProperty.
  Specified by:
    `getProperties` in interface `IRuntimeNode`

### getPropertyByName

    public oracle.apps.cz.cio.Property getPropertyByName(java.lang.String name)

  Returns a particular property of this node, based on its name. Returns null if a property of the given name does not exist.
  Specified by:
    `getPropertyByName` in interface `IRuntimeNode`

### getPropertyById

    public oracle.apps.cz.cio.Property getPropertyById(int id)

  Returns a particular property of this node, based on its ID. Returns null if a property by the given ID does not exist.

### getChildByName

    public oracle.apps.cz.cio.IRuntimeNode getChildByName(java.lang.String name)
                                                   throws NoSuchChildException

  Returns the child of this node with a given name.
  Specified by:
    `getChildByName` in interface `IRuntimeNode`
  Returns:
    a child of this node.
  Throws:
    `NoSuchChildException` - if there is no child with such name.

### getChildByName

    public oracle.apps.cz.cio.IRuntimeNode getChildByName(java.lang.String name,
                                                          int type)
                                                   throws NoSuchChildException

  Returns the child of this node with a given name.
  Throws:
    `NoSuchChildException` - if there is no child with such name.

### getChildByID

    public oracle.apps.cz.cio.IRuntimeNode getChildByID(int id)
                                                 throws NoSuchChildException

  Returns the child of this node with a given ID.
  Specified by:
    `getChildByID` in interface `IRuntimeNode`
  Returns:
    a child of this node.
  Throws:
    `NoSuchChildException` - if there is no child with such ID.

### getChildByID

    public oracle.apps.cz.cio.IRuntimeNode getChildByID(int id,
                                                        int type)
                                                 throws NoSuchChildException

  Returns the child of this node with a given ID.
  Throws:
    `NoSuchChildException` - if there is no child with such ID.

### getChildByPersistentID

    public oracle.apps.cz.cio.IRuntimeNode getChildByPersistentID(int id)
                                                           throws NoSuchChildException

  Returns the child of this node with a given persistent ID.
  Specified by:
    `getChildByPersistentID` in interface `IRuntimeNode`
  Returns:
    a child of this node.
  Throws:
    `NoSuchChildException` - if there is no child with such ID.

### getChildByPersistentID

    public oracle.apps.cz.cio.IRuntimeNode getChildByPersistentID(int id,
                                                                  int type)
                                                           throws NoSuchChildException

  Returns the child of this node with a given persistent ID.
  Throws:
    `NoSuchChildException` - if there is no child with such ID.

### isEffective

    public boolean isEffective()

  Description copied from interface: `IRuntimeNode`
  Returns `true` if this particular node is effective given the effectivity criteria of the model.
  Specified by:
    `isEffective` in interface `IRuntimeNode`
  Returns:
    a boolean indicating whether the node is effective.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### typeToString

    public static java.lang.String typeToString(int type)

  Returns a string representation of a given runtime node type constant.

### isDefaultAffected

    public boolean isDefaultAffected()

  Returns true if the given state is affected by a default assertion (not unknown, or user, or logic).

### isUnsatisfied

    public boolean isUnsatisfied()

  Returns true if this runtime node, or any of its children, is not fully configured.
  Specified by:
    `isUnsatisfied` in interface `IRuntimeNode`
  Returns:
    a boolean indicating whether the node is unsatisfied.

### isSatisfied

    public boolean isSatisfied()

  Description copied from interface: `IRuntimeNode`
  Returns `true` if this particular node, or any one of its children, has been completely configured. The value is cached and is only updated on transaction commit or rollback.
  Specified by:
    `isSatisfied` in interface `IRuntimeNode`
  Returns:
    a boolean indicating whether the node is unsatisfied.

### isUnsatisfiedNode

    public boolean isUnsatisfiedNode()

  Returns true if this particular node is not fully configured.
  Specified by:
    `isUnsatisfiedNode` in interface `IRuntimeNode`
  Returns:
    a boolean indicating whether the node is unsatisfied.

### getAvailableEventCommands

    public com.sun.java.util.collections.Set getAvailableEventCommands()

  Returns the Set of commands that can be used in a CXCommandEvent to trigger a Configurator Extension bound globally, locally to this node, or to any ancestor of this node which is listening for events in its subtree.
  Specified by:
    `getAvailableEventCommands` in interface `IRuntimeNode`

### getCXRules

    public com.sun.java.util.collections.Collection getCXRules()

  Returns a collection of CXRule objects representing all the Configurator extensions which were instantiate with this node

### isUiVisible

    public boolean isUiVisible()

  Returns true if this node appears as a selection in Ui. Note that a node with "isUiVisible" false will still be included in a "show all nodes" Ui.
  Specified by:
    `isUiVisible` in interface `IRuntimeNode`

### registerLoadCondition

    public void registerLoadCondition(oracle.apps.cz.cio.LoadCondition condition)

  Called by a a child of this node originating at a Connector or 0/1 Component somewhere down the tree that wants to let the world know it exists Components should override this method

### hasConfigItemID

    public boolean hasConfigItemID()

  Description copied from interface: `IRuntimeNode`
  Returns true if this node has an item id, i.e., it has been saved previously with this configuration
  Specified by:
    `hasConfigItemID` in interface `IRuntimeNode`

### getConfigItemID

    public long getConfigItemID()

  Description copied from interface: `IRuntimeNode`
  Returns the item id assoaciated with this runtime node if there is one; else -1
  Specified by:
    `getConfigItemID` in interface `IRuntimeNode`

### getLoadStatus

    public int getLoadStatus()

  This method returns the current load status of this instance
  Specified by:
    `getLoadStatus` in interface `IRuntimeNode`

### isEditable

    public boolean isEditable()

  Return true is the node's load status is editable
  Specified by:
    `isEditable` in interface `IRuntimeNode`

### isLoaded

    public boolean isLoaded()

  Specified by:
    `isLoaded` in interface `IRuntimeNode`

### getBaselineValue

    public java.lang.String getBaselineValue()

  Returns the value of this node that exists in the Installed Base

### getRootInstance

    public oracle.apps.cz.cio.Component getRootInstance()

  Description copied from interface: `IRuntimeNode`
  Returns the Root trackable instance for this node if in a container model and one exists; otherwise, returns the root component
  Specified by:
    `getRootInstance` in interface `IRuntimeNode`

### isRootInstance

    public boolean isRootInstance()

  Description copied from interface: `IRuntimeNode`
  Returns true if a some call to getRootInstance in this configuration could return this node
  Specified by:
    `isRootInstance` in interface `IRuntimeNode`

### getLineType

    public java.lang.Integer getLineType()

  Returns the Line Type for this node if it has been set in this session Returns null if not set
  Specified by:
    `getLineType` in interface `IRuntimeNode`

### setLineType

    public void setLineType(java.lang.Integer lineType)

  Sets the Line Type for this runtime node
  Specified by:
    `setLineType` in interface `IRuntimeNode`

### getLineTypeName

    public java.lang.String getLineTypeName()

  Returns the Line Type name for this node Returns null if not found
  Specified by:
    `getLineTypeName` in interface `IRuntimeNode`

### getLocationID

    public java.lang.Integer getLocationID()

  Returns the location that this node belongs to if it has been set in this session Returns null if not found
  Specified by:
    `getLocationID` in interface `IRuntimeNode`

### synchronizeIBValues

    public void synchronizeIBValues(java.lang.Integer locationId,
                                    java.lang.String locationTypeCode,
                                    java.lang.String name)

### setLocationID

    public void setLocationID(java.lang.Integer locationID)

  Sets the location of this runtime node
  Specified by:
    `setLocationID` in interface `IRuntimeNode`

### getLocationTypeCode

    public java.lang.String getLocationTypeCode()

  Retuns the location type code of this runtime node if it has been set in this session. Returns null if not found
  Specified by:
    `getLocationTypeCode` in interface `IRuntimeNode`

### setLocationTypeCode

    public void setLocationTypeCode(java.lang.String locationTypeCode)

  Sets the location type code of this runtime node
  Specified by:
    `setLocationTypeCode` in interface `IRuntimeNode`

### isIBNodeOrDescendantChanged

    public boolean isIBNodeOrDescendantChanged()

  Returns true if this node, and/or any of its decendents, have changed from the latest installed revision in Installed Base
  Specified by:
    `isIBNodeOrDescendantChanged` in interface `IRuntimeNode`

### isIBNodeChanged

    public boolean isIBNodeChanged()

  Returns true if this node (the decendents are not considered) has changed from the latest installed revision in Installed Base
  Specified by:
    `isIBNodeChanged` in interface `IRuntimeNode`

### isChanged

    public boolean isChanged()

  Deprecated.
  Description copied from interface: `IRuntimeNode`
  Returns true if this node, and/or any of its decendents, have changed from the latest installed revision in Installed Base
  Specified by:
    `isChanged` in interface `IRuntimeNode`
  See Also:
    `IRuntimeNode.isIBNodeOrDescendantChanged()`

### isNodeChanged

    public boolean isNodeChanged()

  Deprecated.
  Description copied from interface: `IRuntimeNode`
  Returns true if this node (the decendents are not considered) has changed from the latest installed revision in Installed Base
  Specified by:
    `isNodeChanged` in interface `IRuntimeNode`
  See Also:
    `IRuntimeNode.isIBNodeChanged()`

### isAddChanged

    public boolean isAddChanged()

  Description copied from interface: `IRuntimeNode`
  Returns true if this node has been added in this session, i.e., it is not present in the latest installed revision in Installed Base
  Specified by:
    `isAddChanged` in interface `IRuntimeNode`

### isDeleteChanged

    public boolean isDeleteChanged()

  Description copied from interface: `IRuntimeNode`
  Returns true if this node has been deleted in this session and was present in the latest installed revision in Installed Base
  Specified by:
    `isDeleteChanged` in interface `IRuntimeNode`

### isValueChanged

    public boolean isValueChanged()

  Description copied from interface: `IRuntimeNode`
  Returns true if this node's value has changed from that of the latest installed installed revision in Installed Base
  Specified by:
    `isValueChanged` in interface `IRuntimeNode`

### isTargetChanged

    public boolean isTargetChanged()

  Description copied from interface: `IRuntimeNode`
  Returns true if this connector's target has changed from that of the latest installed revision in Installed Base
  Specified by:
    `isTargetChanged` in interface `IRuntimeNode`

### isAttributeChanged

    public boolean isAttributeChanged()

  Description copied from interface: `IRuntimeNode`
  Returns true if any of this node's attribute has changed from that of the latest installed revision in Installed Base
  Specified by:
    `isAttributeChanged` in interface `IRuntimeNode`

### isLocationChanged

    public boolean isLocationChanged()

  Description copied from interface: `IRuntimeNode`
  Returns true if this node's location has changed from that of the latest installed revision in Installed Base
  Specified by:
    `isLocationChanged` in interface `IRuntimeNode`

### isNameChanged

    public boolean isNameChanged()

  Description copied from interface: `IRuntimeNode`
  Returns true if this instance's name has changed from that of the latest installed revision in Installed Base
  Specified by:
    `isNameChanged` in interface `IRuntimeNode`

### isChildChanged

    public boolean isChildChanged()

  Description copied from interface: `IRuntimeNode`
  Returns true if any child of this node has changed from that of the latest installed revision in Installed Base
  Specified by:
    `isChildChanged` in interface `IRuntimeNode`

### isTrackableRoot

    public boolean isTrackableRoot()

  Specified by:
    `isTrackableRoot` in interface `IRuntimeNode`

### hasTrackableAncestor

    public boolean hasTrackableAncestor()

  Specified by:
    `hasTrackableAncestor` in interface `IRuntimeNode`

### isIBTrackable

    public boolean isIBTrackable()

  Specified by:
    `isIBTrackable` in interface `IRuntimeNode`

### getAttributes

    public com.sun.java.util.collections.Collection getAttributes()

  Returns all the attributes associated with this runtimeNode.

### getAttributeByName

    public oracle.apps.cz.cio.Attribute getAttributeByName(java.lang.String name)

  Returns the specified attribute associated with this runtimeNode.

### associateAttribute

    public void associateAttribute(oracle.apps.cz.cio.Attribute attr)

  Attributes will be placed on a RuntimeNode by the onNew/onRestore companion by creating an instance of Attribute and calling associateAttribute passing the object it created. The attribute will then be held in a map keyed by the name and group of the attribute. Note: This method will not be necessary in a future release, when Developer will automatically make attribute associations.

### hasAttribute

    public boolean hasAttribute(java.lang.String attrName)

### getSummaryChildren

    public com.sun.java.util.collections.Collection getSummaryChildren()

  Gets the set of children, discontinued or otherwise, of this runtime configuration node. This is the set of children and discontinued children
  Specified by:
    `getSummaryChildren` in interface `IRuntimeNode`
  Returns:
    a Collection of children with deterministic iteration order. Empty collection if no children. Children of a COMPONENT_SET are sorted by instance number while Children of other nodes are sorted by their tree position

### getDiscontinuedChildren

    public com.sun.java.util.collections.List getDiscontinuedChildren()

  Gets the set of discontinued children of this runtime configuration node.
  Specified by:
    `getDiscontinuedChildren` in interface `IRuntimeNode`
  Returns:
    a list of children. Empty list if no children.

### isDiscontinued

    public boolean isDiscontinued()

  Returns true if this node is discontinued. A node can be discontinued if it was previously installed and either deleted or deselected in this session
  Specified by:
    `isDiscontinued` in interface `IRuntimeNode`
  Returns:
    true if this node is discontinued. False otherwise.

### getInstalledValue

    public java.lang.String getInstalledValue()

  Description copied from interface: `IRuntimeNode`
  Gets the installed value of this node
  Specified by:
    `getInstalledValue` in interface `IRuntimeNode`
  Returns:
    installed value as a String

### getCurrentValue

    public java.lang.String getCurrentValue()

  Description copied from interface: `IRuntimeNode`
  Gets the current value of this node
  Specified by:
    `getCurrentValue` in interface `IRuntimeNode`
  Returns:
    current value as a String

### getDeltaValue

    public java.lang.String getDeltaValue()

  Description copied from interface: `IRuntimeNode`
  Gets the difference between the current value and the installed value of this node
  Specified by:
    `getDeltaValue` in interface `IRuntimeNode`
  Returns:
    (current value - installed value) as a String

### getSummaryValue

    public java.lang.String getSummaryValue()

  Specified by:
    `getSummaryValue` in interface `IRuntimeNode`

### isQuoteable

    public boolean isQuoteable()

  Description copied from interface: `IRuntimeNode`
  Returns true if this node is Quoteable
  Specified by:
    `isQuoteable` in interface `IRuntimeNode`

### getFunctionalCompanions

    public com.sun.java.util.collections.List getFunctionalCompanions()

  Deprecated. use getAvailableEventCommands
  Returns a list of all functional companions associated with this component.

### getFuncCompByID

    public oracle.apps.cz.cio.IFunctionalCompanion getFuncCompByID(int id)

  Deprecated. use getAvailableEventCommands
  Returns a particular functional companion based on its ID, null if no match.

### getFuncCompByName

    public oracle.apps.cz.cio.IFunctionalCompanion getFuncCompByName(java.lang.String name)

  Deprecated. use getAvailableEventCommands
  Returns a particular functional companion based on its name, null if no match.

### getDisplayName

    public java.lang.String getDisplayName()

  Returns the display name for this node. This is based on the caption rule for this node, if one exists. Otherwise, is based on the default caption rule for the project
  Specified by:
    `getDisplayName` in interface `IRuntimeNode`

### evaluateUiExpression

    public java.lang.Object evaluateUiExpression(int exprID,
                                                 byte exprType,
                                                 int uiDefID,
                                                 boolean isIdPersistent)

  Specified by:
    `evaluateUiExpression` in interface `IRuntimeNode`

### getDisplayNamePath

    public java.lang.String getDisplayNamePath()

  Description copied from interface: `IRuntimeNode`
  Returns the displayName path to the root of this node.
  Specified by:
    `getDisplayNamePath` in interface `IRuntimeNode`

### isValid

    public boolean isValid()

  Returns true if this runtime node is valid
  Specified by:
    `isValid` in interface `IRuntimeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.